/*##############################################################################

nIP - nano IP stack

File        : ip.h

Description : Internet Protocol

Copyright notice:

Copyright (C) 2005 -
Andreas Dittrich, dittrich@informatik.hu-berlin.de
Jon Kowal, kowal@informatik.hu-berlin.de

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

##############################################################################*/

#ifndef _NIP_INET_H
 #define _NIP_INET_H

// include definition of ENDIANNESS
#include NIP_ARCH_FILE(endianness.h)

#if ( ENDIANNESS == BIG_ENDIAN )

#define htons( ui16 ) ui16
#define ntohs( ui16 ) ui16
#define htonl( ui32 ) ui32
#define ntohl( ui32 ) ui32

#else // ENDIANNESS

// conigure this for your platform
#define htons( ui16 ) nip_bswap16( ui16 )
#define ntohs( ui16 ) nip_bswap16( ui16 )
#define htonl( ui32 ) nip_bswap32( ui32 )
#define ntohl( ui32 ) nip_bswap32( ui32 )

uint16_t nip_bswap16( uint16_t in );
uint32_t nip_bswap32( uint32_t in );

#endif // ENDIANNESS


#endif // _NIP_INET_H
