/*##############################################################################

nIP - nano IP stack

File        : socket.h

Description : Internetstack Sockets

Copyright notice:

Copyright (C) 2005 -
Andreas Dittrich, dittrich@informatik.hu-berlin.de
Jon Kowal, kowal@informatik.hu-berlin.de

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

##############################################################################*/

#ifndef _NIP_SOCKET_H
#define _NIP_SOCKET_H


#ifndef NIP_MAX_SOCKETS
	#define NIP_MAX_SOCKETS 10
#endif

/** Type for addressing sockets. Most significant bit determines UDP/TCP
  *  - MSB = 1 => TCP Socket
  *  - MSB = 0 => UDP Socket
  */
#if ( NIP_MAX_SOCKETS < 256 )
	typedef uint8_t nip_socket_id_t;
#elif ( NIP_MAX_SOCKETS < 65536 )
	typedef uint16_t nip_socket_id_t;
#else
	typedef uint32_t nip_socket_id_t;
#endif


/** Entry of socket array */
typedef struct
{
	nip_socket_id_t id;
	nip_ip_addr     ip_addr;
	uint16_t        port;
} nip_socket_t;


#endif /* _NIP_SOCKET_H */

